#ifndef _IMAGE_UTILS_
#define _IMAGE_UTILS_

#define IMG_RGB 0
#define IMG_BGR 1

unsigned char* transformToLuminance(int width, int height, int type, unsigned char* imgSrc, unsigned char* imgDest = 0);
void packRGB(int width, int height, unsigned char* r, unsigned char* g, unsigned char* b, unsigned char* rgbData);
void packBGR(int width, int height, unsigned char* r, unsigned char* g, unsigned char* b, unsigned char* rgbData);
void unpackRGB(int width, int height, unsigned char* rgbData, unsigned char* r, unsigned char* g, unsigned char* b);
void unpackBGR(int width, int height, unsigned char* rgbData, unsigned char* r, unsigned char* g, unsigned char* b);

#endif